Subject: mboned: IPMCAST-MIB - draft-mcwalter-ip-mcast-mib-00

From: "David McWalter" <[email-masked]>
Date: Tue, 15 Nov 2005 17:17:21 -0000

Folks,

I briefly presented a multicast MIB draft to the WG in Vancouver.
http://www.ietf.org/internet-drafts/draft-mcwalter-ip-mcast-mib-00.txt

There was some interest in this work, but not complete consensus that MBONED was the place to do it.

Thanks for the feedback I've had from those who are interested.  Here are the updates I'm planning to apply.
(1)  Several multicast routing protocols can be active concurrently on a single interface.  So we must deprecate ipMcastInterfaceProtocol.
(2)  ipMcastSsmRangeTable support for IPv6 is not mandatory.  Conformance group text must explain this.
(3)  If ipMcastSsmRangeTable IPv6 entries are supported, they are restricted to FF::/16, with syntax from RFC 2373 section 2.7 within this range.
(4)  ipMcastSsmRangeTable also needs to reference RFC 3306 section 6 (IPv6 unicast-prefix-based SSM addresses, FF3x::/32).
(5)  Scoped SSM ranges also require entries in ipMcastBoundaryTable (at the boundaries).  I'll add some clarifying text to this effect.
(6)  ipMcastScopeNameTable must be in a separate conformance group.
(7)  Therefore the old ipMcastMIBBoundaryGroup will be deprecated, and split into two current conformance groups.
(8)  Statistics should be made more consistent, including octet and packet counts in all cases (though in separate conformance groups to give implementers flexibility).
(9)  Add a DEFVAL of zero for ipMcastInterfaceTtl.
(10)  ipMcastLocalListenerRunIndex needs a better description, and REFERENCEs to related MIBs.
(11)  ipMcastRouteNextHopClosestMemberHops needs a better description.
(12)  Some further minor editorial changes to descriptions.

Any additional comments, either on the draft or on the forum we should review it in, would be welcome.

I'll circulate an -01 revision in a couple of weeks.
David McWalter.